<template>
  <div v-if="$store.state.global.loader">
    <v-layout row justify-center>
      <transition>
        <v-overlay>
          <v-container fill-height>
            <v-layout row justify-center align-center>
              <v-progress-circular
                indeterminate
                :size="84"
                :width="7"
                color="primary"
              ></v-progress-circular>
            </v-layout>
          </v-container>
        </v-overlay>
      </transition>
    </v-layout>
  </div>
</template>
